JOYSTICK_INFO(3)

NAME
JOYSTICK_INFO - Stores information about joysticks. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

typedef struct JOYSTICK_INFO

DESCRIPTION
   int flags;                       - status flags for this
                                      joystick
   int num_sticks;                  - how many stick inputs?
   int num_buttons;                 - how many buttons?
   JOYSTICK_STICK_INFO stick[n];    - stick state information
   JOYSTICK_BUTTON_INFO button[n];  - button state information

Read chapter "Joystick routines" for a description on how to obtain/use this structure.

SEE ALSO
joy(3)